Convertir DEB a RPM con ALIEN (y viceversa)

por | 20 octubre, 2011

Aunque cualquier distro de linux contiene la mayoría de los programas que utilizamos habitualmente, también puede ocurrir que necesitemos instalar un programa que únicamente se encuentra disponible en otra distribución. Hay es donde entra ALIEN, un programa que convierte paquetes a varios formatos: rpm (Mandriva/Mageia, OpenSUSE, Fedora), deb (Debian, Ubuntu, Linux Mint), tgz (Slackware), slp o lsb.

La instalación es como la de cualquier otro paquete, desde vuestro centro de software o mediante consola, en mi caso con openSUSE:

zypper install alien

¿Como usarlo?

  • Convertir RPM a DEB.

alien -d -c archivo.rpm


  • Convertir DEB a RPM.

alien -r -c archivo.deb


  • Convertir DEB a TGZ

alien -t -c archivo.deb


  • Convertir e instalar.

Si queremos hacerlo todo en un solo paso, lo único que tenemos que añadir es la opcion -i a la linea de comandos. Por ej:

alien -r -c -i archivo.deb


  • Para ver todas las opciones de alien

alien -h 

Si queréis más información os recomiendo leer el manual

7 pensamientos en “Convertir DEB a RPM con ALIEN (y viceversa)

  1. Pingback: Kevin Cala Sánchez | Convertir paquetes de una arquitectura a otra con ALIEN

  2. William

    Saludo y felicito por la publicación de «Convertir DEB a RPM con ALIEN (y viceversa)», por favor tenga la amabilidad mi pedido de ayuda en convertir e instalar paquetes tar.gz en rpm en el sistema operativo Linux Fedora. Cabe mecionar que ya he instalado el conversor alien y haciendo uso de este conversor primero convertir el paquete tar.gz en deb y luego converti ese archivo deb en rpm pero en la instalación me sale un mensaje:

    #rpm -Uvh brackets-release-1.6-3.noarch.rpm
    Preparing… ################################# [100%]
    file / from install of brackets-release-1.6-3.noarch conflicts with file from package filesystem-3.2-35.fc23.x86_64

    y de otro mensaje # rpm -ivh brackets-release-1.6-3.noarch.rpm
    ################################# [100%]
    file / from install of brackets-release-1.6-3.noarch conflicts with file from package filesystem-3.2-35.fc23.x86_64

    Por favor le solicito nuevamente tener a bien a ayudarme en ese problema de ya sea de conversión o instalación.

    Agradezco de antemano su gentila atención, ayuda y pronta respuesta.

    Responder
  3. Jose Maria Galeano

    No existe el paquete en los repositorios de openSUSE, de donde lo sacaste?
    Seguire buscando…me da esto..

    Loading repository data…
    Warning: Repository ‘Repositorio Principal de Actualizaciones’ appears to be outdated. Consider using a different mirror or server.
    Reading installed packages…
    ‘alien’ not found in package names. Trying capabilities.
    No provider of ‘alien’ found.
    Resolving package dependencies…

    Nothing to do.

    En debian lo pude instalar pero en suse no, todo esto es por Nividia ya van 4 distribuciones que uso mageia unbutu etc y no hay caso o no funciona el driver o no lo usa o ajusta mal la resolucion y ahora el paquete de settings de nvidia no lo instaló bien, no puedo cambiar la resolución de pantalla, ergo encontré el paquete pero es de debian *.deb , y ahora no encuentro el alien para convertirlo en rpm o un formato apto para opensuse,..
    Gracias por tu publicación, la usare cuando encuentre al alien si es que no se fue en un ovni jeje

    Saludos Gracias

    Responder

Responder a Jose Maria Galeano Cancelar respuesta

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.